Summary:	The GNOME2 virtual file-system libraries
Summary(pl.UTF-8):	Biblioteki wirtualnego systemu plików dla GNOME2
Summary(pt_BR.UTF-8):	Arquivos de dados tipo MIME para o desktop GNOME
Name:		gnome-mime-data
Version:	2.18.0
Release:	3
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.18/%{name}-%{version}.tar.bz2
# Source0-md5:	541858188f80090d12a33b5a7c34d42c
Patch0:		%{name}-duplicate-keys.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.2.3
BuildRequires:	intltool
BuildRequires:	rpmbuild(macros) >= 1.446
Provides:	gnome-vfs-data = %{version}
Obsoletes:	gnome-vfs-data
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains the base MIME and Application database for GNOME.
It is meant to be accessed through the MIME functions in GnomeVFS.

%description -l pl.UTF-8
Ten moduł zawiera bazowe MIME oraz bazę Aplikacji dla GNOME.
Przeznaczony jest do udostępniania przez funkcje MIME w GnomeVFS.

%description -l pt_BR.UTF-8
O GNOME MIME contém arquivos de identificação e tipos MIME para o
sistema GNOME.

%package devel
Summary:	Development files for gnome-mime-data
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu programów używajacych gnome-mime-data
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Developmet files for gnome-mime-data.

%description devel -l pl.UTF-8
Pliki potrzebne przy tworzeniu programów używajacych gnome-mime-data.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man5

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install man/gnome-vfs-mime.5 $RPM_BUILD_ROOT%{_mandir}/man5/gnome-vfs-mime.5

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@Latn,sr@latin}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@ije,sr@ijekavian}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info
%{_mandir}/man5/gnome-vfs-mime.5*

%files devel
%defattr(644,root,root,755)
%{_npkgconfigdir}/gnome-mime-data-2.0.pc
%changelog
* Sun Jan 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-mime-data.git;a=log;h=master

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 8b682f1
- rename sr@ije locale to sr@ijekavian
- dropped unnecessary libtoolize
- use _npkgconfigdir macro
- release 3

* Sun Nov 04 2007 ankry <ankry@pld-linux.org> fae1fbf
- sr@Latn -> sr@latin, rel. 2

* Fri Aug 31 2007 aflinta <aflinta@pld-linux.org> ae1d89b
- up to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 87c94cf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 345c21b
- converted to UTF-8

* Wed Nov 29 2006 Marcin Banasiak <marcin.banasiak@gmail.com> ddffed4
- up to 2.4.3

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 91f7772
- adapterized (killed trailing spaces/tabs)

* Sat Jun 18 2005 zbyniu <zbyniu@pld-linux.org> f9b80dd
- BR: gettext-devel, intltool

* Wed Oct 27 2004 aflinta <aflinta@pld-linux.org> 3dfcf83
- obsoleted

* Wed Oct 27 2004 aflinta <aflinta@pld-linux.org> 68b46d3
- up to version 2.4.2

* Sun Aug 08 2004 ankry <ankry@pld-linux.org> 014ccec
- it is not noarch because of %%{_pkgconfigdir} usage, rel. 4

* Thu Jul 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 45671c8
- added locale-names patch, strict dep, release 2

* Thu Jul 22 2004 Jakub Bogusz <qboosh@pld-linux.org> bd20acb
- no->nb

* Sun Apr 18 2004 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 5a2f68f
- duplicate-keys.patch (gimp alread register mime.keys by himself)
- rel 2

* Sun Apr 18 2004 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> cd71c6a
- gimp alread register mime.keys by himself, so these entries are not necessary and may confuse gnome.

* Wed Feb 25 2004 freetz <freetz@pld-linux.org> 5895289
- killed dependency loop (R gnome-vfs2)

* Tue Dec 23 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> dd402ce
- up to 2.4.1
- removed outdated x-gzip-compressed.patch

* Tue Dec 23 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 740137d
- outdated

* Mon Sep 22 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> e69853a
- x-gzip-compressed.patch (http://bugzilla.gnome.org/show_bug.cgi?id=122947)
- rel. 2

* Mon Sep 22 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 8fa0419
- patch against http://bugzilla.gnome.org/show_bug.cgi?id=122947

